describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/forkids')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/')
      })
      
    })

    describe('Cards', () => {
        beforeEach(() => {
            cy.visit('/forkids')
          })
          it('cards section visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .should('be.visible')
          })
          it('header is visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .get('h1')
            .should('be.visible')
          })
          it('cards are visible', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .children()
            .should('contain', 'Odd One Out')
            .should('contain', 'Guess the Riddle')
            .should('contain', 'Hangman')
            .should('contain', 'Card Match')
            .should('contain', 'Jigsaw Puzzle')
        })
        it('odd one out link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .find('.cards-items-link')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/oddoneoutquiz')
          })
          it('guess the riddle link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/riddlequiz')
          })
          it('hangman link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .click()
            .url().should('eq', 'http://localhost:3000/hangman')
          })
          it('card match link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/matchmemory')
          })
          it('jigsaw link', () => {
            cy.get('body')
              .first()
            .find('.cards')
            .find('.cards-container')
            .find('.cards-wrap')
            .find('.cards-items')
            .first()
            .next()
            .find('li')
            .first()
            .next()
            .next()
            .click()
            .url().should('eq', 'http://localhost:3000/jigsaw')
          })
    })